### Function

# AppStream utils_sort_components_into_categories

#### Declaration [src]

    void
    as_utils_sort_components_into_categories (
      GPtrArray* cpts,
      GPtrArray* categories,
      gboolean check_duplicates
    )

#### Description [src]

Sorts all components in `cpts` into the `AsCategory` categories listed in `categories`.

#### Parameters

`cpts`

  Type: An array of `AsComponent*`

  List of components.

  The data is owned by the caller of the function.

`categories`

  Type: An array of `AsCategory*`

  List of categories to sort components into.

  The data is owned by the caller of the function.

`check_duplicates`

  Type: `gboolean`

  Whether to check for duplicates.